com.lowagie.text.pdf.hyphenation

## Class TernaryTree.Iterator

- java.lang.Object
- - com.lowagie.text.pdf.hyphenation.TernaryTree.Iterator

- All Implemented Interfaces:
    java.util.Enumeration
  Enclosing class:
    TernaryTree

      public class TernaryTree.Iterator
      extends java.lang.Object
      implements java.util.Enumeration

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `private class` | `TernaryTree.Iterator.Item`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) int` | `cur` current node index
    `(package private) java.lang.String` | `curkey` current key
    `(package private) java.lang.StringBuffer` | `ks` key stack implemented with a StringBuffer
    `(package private) java.util.Stack` | `ns` Node stack

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TernaryTree.Iterator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `char` | `getValue()`
    `boolean` | `hasMoreElements()`
    `java.lang.Object` | `nextElement()`
    `void` | `rewind()`
    `private int` | `run()` traverse the tree to find next key
    `private int` | `up()` traverse upwards

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cur

          int cur

      current node index

    - #### curkey

          java.lang.String curkey

      current key

    - #### ns

          java.util.Stack ns

      Node stack

    - #### ks

          java.lang.StringBuffer ks

      key stack implemented with a StringBuffer

  - ### Constructor Detail

    - #### TernaryTree.Iterator

          public TernaryTree.Iterator()

  - ### Method Detail

    - #### rewind

          public void rewind()

    - #### nextElement

          public java.lang.Object nextElement()

      Specified by:
        `nextElement` in interface `java.util.Enumeration`

    - #### getValue

          public char getValue()

    - #### hasMoreElements

          public boolean hasMoreElements()

      Specified by:
        `hasMoreElements` in interface `java.util.Enumeration`

    - #### up

          private int up()

      traverse upwards

    - #### run

          private int run()

      traverse the tree to find next key